Skip to Content
kosemdocs
ReferenceAPIAgents

Get agent file content

Downloads one of an agent's files, as it was uploaded, as an attachment.

GET
/v1/projects/{project}/agents/{agent}/files/{file}/content

Downloads one of an agent's files, as it was uploaded, as an attachment.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
agent*string

The agent's ID.

Match^ags_[0-7][0-9a-hjkmnp-tv-z]{25}$
file*string

The file's ID.

Match^fil_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

The file, as an attachment.

response?fileapplication/octet-stream
Formatbinary
Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/agents/string/files/string/content'
Example Response
"string"